Ticket #41409

Windows版リリース用パッケージを作成するスクリプトの作成

Open Date: 2021-02-01 18:59 Last Update: 2021-02-04 01:06

Reporter:
Owner:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

現状手作業でWindows版リリース用パッケージを作っている。 手間がかかるうえ、作業ミスが発生しやすいので、自動的にパッケージを作るPowerShellスクリプトを作る。 将来GitHub Actionsで自動的にリリースできるようにする事も見据える。

Ticket History (3/5 Histories)

2021-02-01 18:59 Updated by: habu
  • New Ticket "Windows版リリース用パッケージを作成するスクリプトの作成" created
2021-02-01 23:20 Updated by: habu
Comment

早速作成しました。deskull氏に予め動作確認してもらいましたが、以下のコミットになります。

Visual Studio 2019 Community がインストールされていればビルドできると思います。 他のバージョンのVisual Studioでも、$msbuild_path を MSBuild.exe があるフォルダに書き換えれば動くのではないかと。

https://osdn.net/projects/hengband/scm/git/hengband/commits/841fd1b63589877ba6d25682735859082f7d0837

2021-02-03 08:16 Updated by: deskull
Comment

こちらではVisual Studio 2019 Communityのある環境下で一昨日動作確認しました。このまま問題なければマージして完了にします。

2021-02-03 18:22 Updated by: habu
Comment

deskull への返信

こちらではVisual Studio 2019 Communityのある環境下で一昨日動作確認しました。このまま問題なければマージして完了にします。

OKです。

SFHIT-JISの呪いにより、現時点では自動リリースまでは実現できなそうだったので、とりあえず手動でスクリプトを実行してのリリースパッケージ作成としましょう。

2021-02-04 01:06 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

了解です。Alpha0やAlpha4のやらかしをこういう形で解決していただき感謝します。マージの上チケット閉じます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login